aboutsummaryrefslogtreecommitdiff
path: root/test/T690-command-line-args.sh
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2017-07-01 12:18:44 -0300
committerDavid Bremner <david@tethera.net>2017-07-12 17:44:15 -0300
commitde9baa29dc990e4166b47dc2b0d0cf560014834b (patch)
tree3ba8df276687cd3e7a05d3bf77c8ccd1b714ff19 /test/T690-command-line-args.sh
parent15815d4e4c95e87f0bcabcaeb2577237609a6946 (diff)
cli: change api of parse_option
The idea is to allow it (in a future commit) advance to the next argv element to get a value
Diffstat (limited to 'test/T690-command-line-args.sh')
-rwxr-xr-xtest/T690-command-line-args.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/T690-command-line-args.sh b/test/T690-command-line-args.sh
new file mode 100755
index 00000000..8711bec2
--- /dev/null
+++ b/test/T690-command-line-args.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+test_description="command line arguments"
+. ./test-lib.sh || exit 1
+
+NOTMUCH_NEW > /dev/null
+
+test_begin_subtest 'bad option to show'
+notmuch show --frobnicate >& OUTPUT
+cat <<EOF > EXPECTED
+Unrecognized option: --frobnicate
+EOF
+test_expect_equal_file EXPECTED OUTPUT
+
+test_done